# Uses of Enum Class
javafx.scene.control.TabPane.TabDragPolicy

Packages that use TabPane.TabDragPolicy
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of TabPane.TabDragPolicy in javafx.scene.control

Methods in javafx.scene.control that return TabPane.TabDragPolicy
Modifier and Type
Method
Description
`final TabPane.TabDragPolicy`
TabPane.`getTabDragPolicy()`
Gets the value of the `tabDragPolicy` property.
`static TabPane.TabDragPolicy`
TabPane.TabDragPolicy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TabPane.TabDragPolicy[]`
TabPane.TabDragPolicy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.control that return types with arguments of type TabPane.TabDragPolicy
Modifier and Type
Method
Description
`final ObjectProperty<TabPane.TabDragPolicy>`
TabPane.`tabDragPolicyProperty()`
The drag policy for the tabs.
Methods in javafx.scene.control with parameters of type TabPane.TabDragPolicy
Modifier and Type
Method
Description
`final void`
TabPane.`setTabDragPolicy(TabPane.TabDragPolicy value)`
Sets the value of the `tabDragPolicy` property.